<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MyLearn_List.aspx.cs" Inherits="RM.Web.Training.Learn.MyLearn_List" %>

<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_mykecheng")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="../../Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="../../Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="../../Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script type="text/javascript">
        var browser = {
            versions: function () {
                var u = navigator.userAgent, app = navigator.appVersion;
                return {         //移动终端浏览器版本信息
                    trident: u.indexOf('Trident') > -1, //IE内核
                    presto: u.indexOf('Presto') > -1, //opera内核
                    webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
                    gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
                    mobile: !!u.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
                    ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
                    android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或uc浏览器
                    iPhone: u.indexOf('iPhone') > -1, //是否为iPhone或者QQHD浏览器
                    iPad: u.indexOf('iPad') > -1, //是否iPad
                    symbianos: !!u.match(/SymbianOS.*/), //是否SymbianOS
                    webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
                };
            } (),
            language: (navigator.browserLanguage || navigator.language).toLowerCase()
        }
        function M2M() {
            if (browser.versions.mobile) {
                window.location = "/Training/Learn/Learn_ListMoblie.aspx";
            }
        }
        function getExamList(key) {
            var url = "/Training/TrainingTest/GetExamList.aspx?key=" + key;
            top.openDialog(url, 'GetExamList', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_mykecheng")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_xgkslb")%>', 550, 350, 50, 50);
            return false;
        }
        function getExamLista(key, epk) {
            top.openDialog("/Training/Exam/ExamIntroduce.aspx?ExamKey=" + key + "&exam=" + key + "&EPKey=" + epk, 'Examination_Test', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_sjlb")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_ksxz")%>', 650, 380, 50, 50);
            //window.location = "/Training/Exam/CorrectExam.aspx?HashKey=67dcdaed-6dff-4f53-a521-4e7af50c4cee";
            return false;
        }
        $(function () { FixedTableHeader("#table1", $(window).height() - 121); })
        //获得培训进度
        function Getjindu(userid, rid) {
            $.get("/Training/GrowthPlan/GetJindu.ashx",
                { userid: userid, Planid: rid },
                function (data) {
                    $("#JD_" + rid).html(data);
                }
            )
        }
    </script>
</head>
<body onload="M2M()">
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mylearn-list")%>&nbsp;&nbsp; <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mylearn-MyCredit")%>：<strong style="color: Red;"><%=xuefen %></strong>
        </div>
    </div>
    <div class="div-body">
        <%=cstable.ToString() %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
    <script type="text/javascript">
        $(function () {
            //把分页定位到屏幕下面
            divresize(55);
            FixedTableHeader("#table1", $(window).height() - 80);
        });
    </script>
</body>
</html>
